package com.alterdekim.flash.decompiler.item.internal;

import com.alterdekim.flash.decompiler.item.ActionPushType;
import com.alterdekim.flash.decompiler.item.ByteCodeItem;
import lombok.AllArgsConstructor;
import lombok.ToString;

import java.util.HashMap;

@ToString
@AllArgsConstructor
public class InitArrayItem extends ByteCodeItem {
    private HashMap<String, Object> val;

    @Override
    public ActionPushType getType() {
        return ActionPushType.INIT_ARRAY;
    }

    @Override
    public Object getValue() {
        return this.val;
    }
}
